<?php
class myBlock extends control
{
    public function printDownloadBlock($blockID)
    {
        $block = $this->block->getByID($blockID);
        if(empty($block)) return false;

        $this->app->loadLang('client');

        $link = helper::createLink('client', 'downloadClient', '', '', true);

        $html = '<div class="alert with-icon"><i class="icon-download"></i><div class="content">' . $this->lang->client->currentVersion . ': ' . '<strong>' . $this->config->xuanxuan->version . '</strong><br>'. $this->lang->client->userDownloadTips .'</div></div>';
        $html .= '<div style="display: flex; flex-direction: column; justify-content: center; align-items: center">' . html::a('', $this->lang->client->downloadClient, "data-iframe='$link' class='btn btn-primary iframe' data-width='400'") . '</div>';

        die($html);
    }
}
